dp12rxss: XDpRxSs Struct Reference

| dp12rxss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDpRxSs Struct Reference
Dprxss_v4_1

The DisplayPort RX Subsystem driver instance data. More...

## Data Fields
XDpRxSs_Config | Config
| Hardware Configuration. More...
u32 | IsReady
| Core and the driver instance are initialized. More...
XDp * | DpPtr
| DisplayPort sub-core instance. More...
XIic * | IicPtr
| IIC sub-core instance. More...
XDpRxSs_Callback | PllResetCallback
| Callback function for PLL reset. More...
void * | PllResetRef
| A pointer to the user data passed to the PLL reset callback function. More...
XDpRxSs_Callback | LinkBwCallback
| Callback function for link bandwidth. More...
void * | LinkBwRef
| A pointer to the user data passed to the link bandwidth callback function. More...
XDpRxSs_Callback | UnplugCallback
| Callback function for unplug event. More...
void * | UnplugRef
| A pointer to the user data passed to the unplug event callback function. More...
u8 | VBlankEnable
| Vertical Blank Enable. More...
u8 | VBlankCount
| Vertical Blank Count. More...
XDpRxSs_UsrOpt | UsrOpt
| User Options structure. More...
u8 * | EdidDataPtr
| Pointer to EDID Data. More...
u16 | EdidSize
| Size of EDID Data. More...

## Detailed Description

The DisplayPort RX Subsystem driver instance data.

An instance must be allocated for each core in use.

## Field Documentation

XDpRxSs_Config XDpRxSs::Config

Hardware Configuration.

Referenced by XDpRxSs_CfgInitialize(), XDpRxSs_ExposePort(), XDpRxSs_ReportCoreInfo(), XDpRxSs_Reset(), and XDpRxSs_SelfTest().

XDp* XDpRxSs::DpPtr

DisplayPort sub-core instance.

Referenced by DpRxSs_CustomWaitUs(), DpRxSs_DetectResolution(), DpRxSs_SetupTimerHandler(), XDpRxSs_CfgInitialize(), XDpRxSs_CheckLinkStatus(), XDpRxSs_DpIntrHandler(), XDpRxSs_DrvNoVideoHandler(), XDpRxSs_DrvPowerChangeHandler(), XDpRxSs_DrvVideoHandler(), XDpRxSs_ExposePort(), XDpRxSs_HandleDownReq(), XDpRxSs_ReportCoreInfo(), XDpRxSs_ReportLinkInfo(), XDpRxSs_ReportMsaInfo(), XDpRxSs_Reset(), XDpRxSs_SelfTest(), XDpRxSs_SetCallBack(), XDpRxSs_SetLaneCount(), XDpRxSs_SetLinkRate(), XDpRxSs_SetUserPixelWidth(), XDpRxSs_SetUserTimerHandler(), and XDpRxSs_Start().

u8* XDpRxSs::EdidDataPtr

Pointer to EDID Data.

u16 XDpRxSs::EdidSize

Size of EDID Data.

XIic* XDpRxSs::IicPtr

IIC sub-core instance.

Referenced by XDpRxSs_CfgInitialize(), XDpRxSs_DrvPowerChangeHandler(), XDpRxSs_ReportCoreInfo(), XDpRxSs_ReportDp159BitErrCount(), XDpRxSs_Reset(), and XDpRxSs_SelfTest().

u32 XDpRxSs::IsReady

Core and the driver instance are initialized.

Referenced by XDpRxSs_CfgInitialize(), XDpRxSs_DpIntrHandler(), XDpRxSs_DrvNoVideoHandler(), XDpRxSs_DrvPowerChangeHandler(), XDpRxSs_DrvVideoHandler(), and XDpRxSs_SetCallBack().

XDpRxSs_Callback XDpRxSs::LinkBwCallback

Callback function for link bandwidth.

Referenced by XDpRxSs_SetCallBack().

void* XDpRxSs::LinkBwRef

A pointer to the user data passed to the link bandwidth callback function.

Referenced by XDpRxSs_SetCallBack().

XDpRxSs_Callback XDpRxSs::PllResetCallback

Callback function for PLL reset.

Referenced by XDpRxSs_SetCallBack().

void* XDpRxSs::PllResetRef

A pointer to the user data passed to the PLL reset callback function.

Referenced by XDpRxSs_SetCallBack().

XDpRxSs_Callback XDpRxSs::UnplugCallback

Callback function for unplug event.

Referenced by XDpRxSs_SetCallBack().

void* XDpRxSs::UnplugRef

A pointer to the user data passed to the unplug event callback function.

Referenced by XDpRxSs_SetCallBack().

XDpRxSs_UsrOpt XDpRxSs::UsrOpt

User Options structure.

Referenced by DpRxSs_DebugExample(), DpRxSs_HdcpExample(), DpRxSs_IntrExample(), DpRxSs_MstExample(), XDpRxSs_CfgInitialize(), XDpRxSs_DrvPowerChangeHandler(), XDpRxSs_ExposePort(), XDpRxSs_ReportCoreInfo(), XDpRxSs_SetLaneCount(), XDpRxSs_SetLinkRate(), and XDpRxSs_Start().

u8 XDpRxSs::VBlankCount

Vertical Blank Count.

u8 XDpRxSs::VBlankEnable

Vertical Blank Enable.